
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

@SuppressWarnings("unused")
public class NonVolatileRAM {

    @SerializedName("auto-boot")
    private String autoBoot;
    @SerializedName("backlight-level")
    private String backlightLevel;
    @SerializedName("backlight-nits")
    private String backlightNits;
    @SerializedName("boot-args")
    private String bootArgs;
    @Expose
    private String bootdelay;
    @SerializedName("fm-spstatus")
    private String fmSpstatus;
    @SerializedName("ota-controllerVersion")
    private String otaControllerVersion;
    @SerializedName("ota-original-base-os-version")
    private String otaOriginalBaseOsVersion;
    @SerializedName("StartupMute")
    private String startupMute;
    @SerializedName("SystemAudioVolumeSaved")
    private String systemAudioVolumeSaved;
    @Expose
    private String usbcfwflasherResult;

    public String getAutoBoot() {
        return autoBoot;
    }

    public void setAutoBoot(String autoBoot) {
        this.autoBoot = autoBoot;
    }

    public String getBacklightLevel() {
        return backlightLevel;
    }

    public void setBacklightLevel(String backlightLevel) {
        this.backlightLevel = backlightLevel;
    }

    public String getBacklightNits() {
        return backlightNits;
    }

    public void setBacklightNits(String backlightNits) {
        this.backlightNits = backlightNits;
    }

    public String getBootArgs() {
        return bootArgs;
    }

    public void setBootArgs(String bootArgs) {
        this.bootArgs = bootArgs;
    }

    public String getBootdelay() {
        return bootdelay;
    }

    public void setBootdelay(String bootdelay) {
        this.bootdelay = bootdelay;
    }

    public String getFmSpstatus() {
        return fmSpstatus;
    }

    public void setFmSpstatus(String fmSpstatus) {
        this.fmSpstatus = fmSpstatus;
    }

    public String getOtaControllerVersion() {
        return otaControllerVersion;
    }

    public void setOtaControllerVersion(String otaControllerVersion) {
        this.otaControllerVersion = otaControllerVersion;
    }

    public String getOtaOriginalBaseOsVersion() {
        return otaOriginalBaseOsVersion;
    }

    public void setOtaOriginalBaseOsVersion(String otaOriginalBaseOsVersion) {
        this.otaOriginalBaseOsVersion = otaOriginalBaseOsVersion;
    }

    public String getStartupMute() {
        return startupMute;
    }

    public void setStartupMute(String startupMute) {
        this.startupMute = startupMute;
    }

    public String getSystemAudioVolumeSaved() {
        return systemAudioVolumeSaved;
    }

    public void setSystemAudioVolumeSaved(String systemAudioVolumeSaved) {
        this.systemAudioVolumeSaved = systemAudioVolumeSaved;
    }

    public String getUsbcfwflasherResult() {
        return usbcfwflasherResult;
    }

    public void setUsbcfwflasherResult(String usbcfwflasherResult) {
        this.usbcfwflasherResult = usbcfwflasherResult;
    }

}
